//
//  GBImageUtilities.h
//  gBrowser
//
//  Created by andreas on Wed Oct 17 2001.

#import <Cocoa/Cocoa.h>
#import <QuartzCore/CIImage.h>


@class GBFileItem;

@interface NSImage (GBImageUtilities)

- (void)drawAdjustedInRect:(NSRect)dstRect fromRect:(NSRect)srcRect operation:(NSCompositingOperation)op fraction:(CGFloat)delta;
+ (void)drawCGImage:(CGImageRef)image adjustedInRect:(NSRect)dstRect;

+ (BOOL)addPropertiesofFile:(GBFileItem *)fileItem toDictionary:(NSMutableDictionary *)dict;

+ (NSImage *)trashImage;

+ (NSImage *)openFolder;
+ (NSImage *)genericFolder;
+ (NSImage *)genericDocument;
+ (NSImage *)genericApplication;
+ (NSImage *)aliasBadge;
+ (NSImage *)noticeImage;

@end




